import { MooaOption } from './model/MooaOption';
import MooaRouter from './router';
import { MooaPlatform } from './platform';
declare class Mooa {
    started: boolean;
    private option;
    constructor(option: MooaOption);
    registerApplication(appName: string, appConfig?: any, activeWhen?: {}, customProps?: object): void;
    start(): Promise<void>;
    reRouter(eventArguments?: any): Promise<void>;
}
export default Mooa;
export declare const mooaRouter: MooaRouter;
export declare const mooaPlatform: MooaPlatform;
